Replace ibus-sunpinyin with ibus-libpinyin

Bug #1735362 reported by Matthias Klose on 2017-11-30
14
This bug affects 1 person
Affects Status Importance Assigned to Milestone
fcitx-libpinyin (Ubuntu)
Undecided
Unassigned
ibus-libpinyin (Debian)
Fix Released
Unknown
ibus-libpinyin (Ubuntu)
Medium
Gunnar Hjalmarsson
ibus-libzhuyin (Ubuntu)
Undecided
Unassigned
ibus-sunpinyin (Debian)
New
Unknown
ibus-sunpinyin (Ubuntu)
Wishlist
Unassigned
language-selector (Ubuntu)
Undecided
Gunnar Hjalmarsson
libpinyin (Ubuntu)
Undecided
Gunnar Hjalmarsson

Bug Description

ibus-sunpinyin: port to Python3 needed.

Currently in the live seed, package owned by desktop-packages. Considering the lack of upstream maintenance, demotion might be an option.

Matthias Klose (doko) on 2017-11-30
tags: added: py2-demotion py2-removal
Changed in ibus-sunpinyin (Ubuntu):
assignee: nobody → Ubuntu Desktop (ubuntu-desktop)
Changed in ibus-sunpinyin (Debian):
status: Unknown → New
Matthias Klose (doko) wrote :

according to the IME Packaging Team, this should be replaced by ubus-libpinyin, now built using Python3, and using gtk3 instead of gtk2 and glade2.

Changed in ibus-sunpinyin (Ubuntu):
assignee: Ubuntu Desktop (ubuntu-desktop) → nobody
importance: Undecided → Wishlist
Sebastien Bacher (seb128) wrote :

@Gunnar, do you know if changing the pinyin engine is a topic that already got discussed?

Bryan Quigley (bryanquigley) wrote :

@doko I just opened a bug on it, because ibus-libpinyin still seems to be built with python2 - https://bugs.debian.org/cgi-bin/bugreport.cgi?bug=883631

@seb128 there was some discussion on the ML - https://lists.ubuntu.com/archives/ubuntu-desktop/2017-November/005286.html and I got some feedback (locally) that ibus-libpinyin is the better way to go - it also is the only recently maintained version.

Sebastien Bacher (seb128) wrote :

@Bryan, I was about to comment back with the list discussion as well, it was ringing a bell but I didn't remember/found back at first where I read it, thanks :-)

Could you give some details about why/how libpinying is a better way to go? It seems to be that way from a maintainance perspective but we should probably look at the feature parity/difference and get some input from Chinese users/translators before deciding

Gunnar Hjalmarsson (gunnarhj) wrote :

@Sebastien: I'm not aware of any discussion besides the email list discussion which Bryan pointed at. Subscribed ~ubuntu-cjk-testers to this bug report. Most users of Simplified Chinese probably use Kylin, and hence are probably not so concerned about IBus nowadays.

On 2017-12-06 15:21, Sebastien Bacher wrote:
> @Gunnar, do you know if changing the pinyin engine is a topic that
> already got discussed?

Replied on bug report.

--
Gunnar Hjalmarsson
https://launchpad.net/~gunnarhj

I got feedback to go with ibus-libpinying from asking in some Chinese IRC channels (hardly a scientific methodology..)

I was originally looking at lib-pinying - but they said ibus-libpinying was better. (And it also seems to be much better maintained)

Gunnar Hjalmarsson (gunnarhj) wrote :

I take it that we'll switch to ibus-libpinyin then, so I added an ubuntu-seeds task to this report, and also a language-selector task since we'd better maintain consistency as between the live seed and what's pulled by l-s.

Jeremy Bicha (jbicha) wrote :

Gunnar, ibus-libpinyin is in universe. Would you be interested in filing the MIR bug to promote it to main?

https://wiki.ubuntu.com/MainInclusionProcess

You can find example of open MIR bugs at
https://bugs.launchpad.net/~ubuntu-mir

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-12-13 18:46, Jeremy Bicha wrote:
> Would you be interested in filing the MIR bug to promote it to main?

Sure, I can do that.

Gunnar Hjalmarsson (gunnarhj) wrote :

MIR request filed as bug #1738582.

Matthias Klose (doko) wrote :

ibus-libpinyin and libpinyin should be updated to new upstream versions to avoid promotion of the old lua5.1.

Gunnar Hjalmarsson (gunnarhj) wrote :

Matthias: There seems to be an easier way to fix it for now. I successfully built ibus-libpinyin with lua5.3 instead of lua5.1. Debdiff attached.

Changed in ibus-libpinyin (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
importance: Undecided → Medium
status: New → In Progress
summary: - ibus-sunpinyin: port to Python3 needed
+ Replace ibus-sunpinyin with ibus-libpinyin
tags: added: patch
Matthias Klose (doko) wrote :

nice! please could you forward this to Debian?

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2017-12-18 19:48, Matthias Klose wrote:
> please could you forward this to Debian?

Done. https://bugs.debian.org/884734

Changed in ibus-libpinyin (Debian):
status: Unknown → New
Gunnar Hjalmarsson (gunnarhj) wrote :

Debian experimental provides ibus-libpinyin 1.9.2. I built that package (with python3 and liblua5.3-dev) in this PPA:

https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin

ibus-libpinyin 1.9.2 depends on libpinyin13, so this route involves:

* Sync libpinyin 2.1.0-1~exp3 from Debian experimental

* Upload ibus-libpinyin 1.9.2-1~exp1ubuntu1 from the PPA

In comment #5 and #6 of bug #1738582 this upgrade is claimed to improve the user experience.

Gunnar Hjalmarsson (gunnarhj) wrote :

On 2018-01-15 16:50, Gunnar Hjalmarsson wrote:
> ibus-libpinyin 1.9.2 depends on libpinyin13, so this route involves:
>
> * Sync libpinyin 2.1.0-1~exp3 from Debian experimental
>
> * Upload ibus-libpinyin 1.9.2-1~exp1ubuntu1 from the PPA

Since this would replace the libpinyin7 binary with libpinyin13, also fcitx-libpinyin 0.5.2-1~exp1 would need to be synced from Debian experimental.

Jeremy Bicha (jbicha) wrote :

I uploaded the 3 packages Gunnar asked for in comment #16. ibus-libpinyin now uses Python 3 and lua5.3. It is stuck in bionic-proposed while we wait for the Launchpad builders to build all architectures again.

https://launchpad.net/ubuntu/+source/ibus-libpinyin/1.9.2-1~exp1ubuntu1/

Changed in fcitx-libpinyin (Ubuntu):
status: New → Fix Released
Changed in libpinyin (Ubuntu):
status: New → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

In order to not break ibus-libzhuyin and fcitx-zhuyin, I have built libpinyin 2.1.0 in the PPA and then excluded the libzhuyin13 and libzhuyin-dev binaries.

https://launchpad.net/~gunnarhj/+archive/ubuntu/ibus-libpinyin

With a bit luck, an upload of this might also resolve the autopkgtest issue with the pending libpinyin build.

Changed in libpinyin (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: Fix Released → In Progress
Gunnar Hjalmarsson (gunnarhj) wrote :

Please disregard my proposal in comment #19.

As explained here:

https://lists.debian.org/debian-input-method/2018/01/msg00012.html

ibus-libzhuyin, built with libzhuyin-dev 2.1.0, is available in Debian experimental. Furthermore, fcitx-libpinyin provides also a zhuyin-libpinyin input method, so the fcitx-zhuyin package seems now to be redundant.

So in addition to the steps already taken, we should sync ibus-libzhuyin 1.8.0-1~exp1 from Debian experimental.

Also, as far as I understand, the fcitx-zhuyin and libzhuyin source packages should probably be dropped from the archive.

Jeremy Bicha (jbicha) wrote :

> sync ibus-libzhuyin 1.8.0-1~exp1 from Debian experimental

Done

Changed in ibus-libzhuyin (Ubuntu):
status: New → Fix Released
Gunnar Hjalmarsson (gunnarhj) wrote :

To the release team:

There are currently four uploads related to this bug report and stuck in bionic-proposed:

ibus-libzhuyin 1.8.0-1~exp1
fcitx-libpinyin 0.5.2-1~exp1
ibus-libpinyin 1.7.3-3 to 1.9.2-1~exp1ubuntu1
libpinyin 2.1.0-1~exp3

When testing libpinyin, for some reason autopkgtest run the tests for libzhuyin 1.1.1-1 and failed. However, that test is obsolete, since libzhuyin is going to be dropped - see bug #1745777.

So to move this bug report forward, can you please approve the migration of libpinyin to -release manually.

Launchpad Janitor (janitor) wrote :

This bug was fixed in the package ibus-libpinyin - 1.9.2-1~exp1ubuntu1

---------------
ibus-libpinyin (1.9.2-1~exp1ubuntu1) bionic; urgency=medium

  * Build with Python3 instead of Python2 (Closes: #883631)
  * Add python3-gi to depends (Closes: #785070)
  * Build with liblua5.3-dev instead of liblua5.1-dev (LP: #1735362)
    (Closes: #884734)

ibus-libpinyin (1.9.2-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Bump Standards-Version to 4.1.0.
  * Bump compat to 10.
  * Update Vcs-* fields.

 -- Gunnar Hjalmarsson <email address hidden> Mon, 22 Jan 2018 16:06:00 +0100

Changed in ibus-libpinyin (Ubuntu):
status: In Progress → Fix Released
Changed in libpinyin (Ubuntu):
status: In Progress → Fix Released
Jeremy Bicha (jbicha) on 2018-01-30
Changed in ibus-sunpinyin (Ubuntu):
status: New → Fix Released
affects: ubuntu-seeds → ubuntu-meta (Ubuntu)
no longer affects: ubuntu-meta (Ubuntu)
Changed in language-selector (Ubuntu):
assignee: nobody → Gunnar Hjalmarsson (gunnarhj)
status: New → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package language-selector - 0.185

---------------
language-selector (0.185) bionic; urgency=medium

  * data/pkg_depends:
    Replace ibus-sunpinyin with ibus-libpinyin (LP: #1735362).
  * debian/control:
    Bump Standards-Version to 4.1.2.

 -- Gunnar Hjalmarsson <email address hidden> Tue, 30 Jan 2018 20:48:00 +0100

Changed in language-selector (Ubuntu):
status: Fix Committed → Fix Released
Matthias Klose (doko) wrote :

Override component to universe
ibus-sunpinyin 2.0.3-5build3 in bionic: main/utils -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic amd64: main/utils/optional/100% -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic arm64: main/utils/optional/100% -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic armhf: main/utils/optional/100% -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic i386: main/utils/optional/100% -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic ppc64el: main/utils/optional/100% -> universe
ibus-sunpinyin 2.0.3-5build3 in bionic s390x: main/utils/optional/100% -> universe
7 publications overridden.

Changed in ibus-libpinyin (Debian):
status: New → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.